package network.protocol.packets;

import network.protocol.Packet;
import network.protocol.PacketVisitor;
import network.protocol.Packets;

public class LoginPacket extends Packet {

	static private final long serialVersionUID = Packets.Login.ordinal();

	private final String pseudo;

	public LoginPacket(String pseudo) {
		this.pseudo = pseudo;
	}

	public String getPseudo() {
		return pseudo;
	}

	@Override
	public void accept(PacketVisitor packetVisitor) {
		packetVisitor.visitPacket(this);
	}

}
